Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct Class Reference

Implementation of the \eZ\Publish\API\Repository\Values\User\PolicyCreateStruct class. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct:

## Public Member Functions
| __construct ($module, $function)
| Instantiates a policy create struct. More...
| getLimitations ()
| Returns list of limitations added to policy. More...
| addLimitation (Limitation $limitation)
| Adds a limitation with the given identifier and list of values. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $limitations = array()

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\User\PolicyCreateStruct
| $module
| $function
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Implementation of the \eZ\Publish\API\Repository\Values\User\PolicyCreateStruct class.

See also
  \eZ\Publish\API\Repository\Values\User\PolicyCreateStruct

Definition at line 18 of file Core/REST/Client/Values/User/PolicyCreateStruct.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct::__construct | ( |  | $module,
|  |  | $function
| ) |  |

Instantiates a policy create struct.

Parameters

  string | $module |
  string | $function |

Definition at line 33 of file Core/REST/Client/Values/User/PolicyCreateStruct.php.

References eZ\Publish\API\Repository\Values\User\PolicyCreateStruct\$function, and eZ\Publish\API\Repository\Values\User\PolicyCreateStruct\$module.

## Member Function Documentation

## ◆ addLimitation()

eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct::addLimitation | ( | Limitation | $limitation | ) |

Adds a limitation with the given identifier and list of values.

Parameters

  \eZ\Publish\API\Repository\Values\User\Limitation | $limitation |

Reimplemented from eZ\Publish\API\Repository\Values\User\PolicyStruct.

Definition at line 58 of file Core/REST/Client/Values/User/PolicyCreateStruct.php.

References eZ\Publish\API\Repository\Values\User\Limitation\getIdentifier().

## ◆ getLimitations()

eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct::getLimitations | ( |  | ) |

Returns list of limitations added to policy.

Returns
  \eZ\Publish\API\Repository\Values\User\Limitation[]

Reimplemented from eZ\Publish\API\Repository\Values\User\PolicyStruct.

Definition at line 48 of file Core/REST/Client/Values/User/PolicyCreateStruct.php.

References eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct\$limitations.

## Member Data Documentation

## ◆ $limitations

eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct::$limitations = array()
| protected

Definition at line 25 of file Core/REST/Client/Values/User/PolicyCreateStruct.php.

Referenced by eZ\Publish\Core\REST\Client\Values\User\PolicyCreateStruct\getLimitations().

The documentation for this class was generated from the following file:

- Core/REST/Client/Values/User/PolicyCreateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.